<template>
  <StyledArtistsContainer>
    <StyledContainer>
      <a-row type="flex" align="middle" justify="center">
        <a-col :xl="{ span: 24 }">
          <StyledFlexContainer
            justify="center"
            align="center"
            direction="column"
          >
            <AtomSectionTitle text="ARTISTAS" />
            <StyledFlexContainer justify="space-between" wsize="100%">
              <AtomArtistCard
                v-for="artist in artists"
                :key="artist.name"
                :imageSrc="artist.image"
                :artistName="artist.name"
              />
            </StyledFlexContainer>
          </StyledFlexContainer>
        </a-col>
      </a-row>
    </StyledContainer>
  </StyledArtistsContainer>
</template>

<script lang="ts">
import StyledArtistsContainer from '../../../styles/Organisms/OrganismSectionArtists/OrganismSectionArtists';
import AtomSectionTitle from '../../Atoms/AtomSectionTitle/AtomSectionTitle.vue';
import AtomArtistCard from '../../Atoms/AtomArtistCard/AtomArtistCard.vue';

import { StyledContainer, StyledFlexContainer } from '../../../styles/Styles';

export default {
  name: 'OrganismSectionArtists',

  components: {
    StyledArtistsContainer,
    StyledContainer,
    StyledFlexContainer,
    AtomSectionTitle,
    AtomArtistCard,
  },

  data(): any {
    return {
      artists: [
        {
          name: 'Lorem Ipsum1',
          image:
            'https://www12.senado.leg.br/noticias/materias/2019/07/30/projeto-de-lei-em-analise-na-cas-regulamenta-a-profissao-de-dj/DJ_20150514_03048.jpg/@@images/image/imagem_materia',
        },
        {
          name: 'Lorem Ipsum2',
          image:
            'https://www12.senado.leg.br/noticias/materias/2019/07/30/projeto-de-lei-em-analise-na-cas-regulamenta-a-profissao-de-dj/DJ_20150514_03048.jpg/@@images/image/imagem_materia',
        },
        {
          name: 'Lorem Ipsum3',
          image:
            'https://www12.senado.leg.br/noticias/materias/2019/07/30/projeto-de-lei-em-analise-na-cas-regulamenta-a-profissao-de-dj/DJ_20150514_03048.jpg/@@images/image/imagem_materia',
        },
        {
          name: 'Lorem Ipsum4',
          image:
            'https://www12.senado.leg.br/noticias/materias/2019/07/30/projeto-de-lei-em-analise-na-cas-regulamenta-a-profissao-de-dj/DJ_20150514_03048.jpg/@@images/image/imagem_materia',
        },
      ],
    };
  },
};
</script>
